import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import '../core/themes/colors.dart';

class ItemCardRowBuilder extends StatelessWidget {
  final String title, content;

  ItemCardRowBuilder({required this.title, required this.content});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.end,
      children: [
        Text(
          '$title:',
          style: new TextStyle(fontSize: 14.sp, color: ThemeColor.greyTxtColor),
          overflow: TextOverflow.ellipsis,
        ),
        Spacer(),
        Text(
          content,
          style: TextStyle(
            fontSize: 14.sp,
            color: ThemeColor.black,
            fontWeight: FontWeight.w500,
          ),
          overflow: TextOverflow.ellipsis,
        )
      ],
    );
  }
}
